<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pengajuan_sidang_akhirs', function (Blueprint $table) {
            $table->id();
            $table->string('caseid')->default('-');
            $table->foreignId('mahasiswas_id')->constrained();
            $table->string('ttd_operator')->default('-');
            $table->string('ttd_dpu')->default('-');
            $table->integer('nilai_plagiasi');
            $table->string('bukti_lembar_monitoring');
            $table->string('bukti_transkrip');
            $table->string('bukti_turnitin');
            $table->string('bukti_sister');
            $table->string('bukti_naskah_dosen_pembimbing');
            $table->string('bukti_naskah_dosen_penguji');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pengajuan_sidang_akhirs');
    }
};
